<?php
/*
Plugin Name: EAS Sitemap Generator

Plugin URI: 

Description: EAS Sitemap Generator

Version: 4.2

Author: EAS

Author URI: 
*/

define( 'EASSITEMAP_VERSION', '4.2' );
define( 'EASSITEMAP_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'EASSITEMAP_PLUGIN_URL', plugin_dir_url(__FILE__) );

function eas_sitemap_admin_style() {
  wp_enqueue_style('eas-sitemap-admin-styles', plugins_url('/css/admin-eas-sitemap.css', __FILE__));
}
add_action('admin_enqueue_scripts', 'eas_sitemap_admin_style');

add_action('init', 'eas_sitemap_register_script');

function eas_sitemap_register_script() {
    wp_register_style('eas-sitemap-css', plugins_url('/css/eas-sitemap.css', __FILE__), false, '1.0.0', 'all');
	wp_register_script('eas-sitemap-js', plugins_url('/js/eas-sitemap.js', __FILE__), false, '3.0.0', true);
	include_once plugin_dir_path( __FILE__ ) . "/include/inc-eas-sitemap.php";
}

add_action('wp_enqueue_scripts', 'eas_sitemap_enqueue_style');

function eas_sitemap_enqueue_style() {
    wp_enqueue_style('eas-sitemap-css');
	wp_enqueue_script('eas-sitemap-js');
}

add_action( 'admin_menu', 'eas_sitemap_menu' );

function eas_sitemap_menu() {
	add_menu_page( 'Eas Sitemap', 'Eas Sitemap', 'manage_options', 'eas-sitemap-options', 'eas_sitemap_options', plugins_url('eas-sitemap-generator/img/eas-sitemap.png'),
        6);
}

function eas_sitemap_options() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	} ?>
	<?php if($_GET['action'] && $_POST['_wpnonce']) 
			{ 
			  $eas_inc_posted = implode(',',$_POST['eas_inc_posted']); update_option( 'eas_inc_posted', $eas_inc_posted, '', 'yes' );  
			}
	echo '<div class="wrap">';
	if(isset($_GET['action']) && $_GET['action'] == 'create'){
			include("include/inc-eas-sitemap.php");
			?>
			<h2>XML Sitemap Generated Successfully</h2>
			<h3><a href="<?php echo get_site_url(); ?>/sitemap.xml" target="_blank" >View Sitemap</a></h3>
			<?php } 	

	echo '<p><a href="admin.php?page=eas-sitemap-options&action=create">Click to Generate XML Sitemap</a></p>';
	echo '<form method="post" action="admin.php?page=eas-sitemap-options&action=submit">' . "\n";
		wp_nonce_field('eas_xml_sitemaps');
		echo '<h2>' . __('EAS Sitemaps Settings', 'eas-sitemaps') . '</h2>' . "\n";
		echo '<table class="form-table">' . "\n";
		$get_post_types = get_post_types(array('public'=>true));
		foreach($get_post_types as $get_post_type) 
		{
			$eas_inc_posted_val = explode(',',get_option( 'eas_inc_posted'));
			if (in_array($get_post_type, $eas_inc_posted_val))  { $check='checked="checked"'; } else { $check=''; }
			
        echo '<tr>' . "\n"
            . '<th scope="row" class="eas-post">'	
            . __($get_post_type, 'eas-sitemap-generator')
            . '</th>' . "\n"
            . '<td>'
            . '<label>'
            . '<input type="checkbox" name="eas_inc_posted[]" '.$check.' value="'.$get_post_type.'"/>'
            . '&nbsp;'
            . '</label>'
            . '</td>' . "\n"
            . '</tr>' . "\n";
		}
	echo "</table>\n";
		echo '<div class="submit">'
			. '<input type="submit"'
				. ' value="' . esc_attr(__('Save Changes', 'xml-sitemaps')) . '"'
				. " />"
			. "</div>\n";
		echo '</form>' . "\n";
	echo '</div>';
}
?>